---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libap06t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x1E70, symSize: 0x2A0 }
  - { offsetInCU: 0xAC8, offset: 0xAC8, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50DE0, symBinAddr: 0x71F0, symSize: 0x0 }
  - { offsetInCU: 0xAEF, offset: 0xAEF, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52D20, symBinAddr: 0x9130, symSize: 0x0 }
  - { offsetInCU: 0xB11, offset: 0xB11, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x53110, symBinAddr: 0x9520, symSize: 0x0 }
  - { offsetInCU: 0xB33, offset: 0xB33, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x540B0, symBinAddr: 0xA4C0, symSize: 0x0 }
  - { offsetInCU: 0xB48, offset: 0xB48, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x540C0, symBinAddr: 0xA4D0, symSize: 0x0 }
  - { offsetInCU: 0xBC3, offset: 0xBC3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50A50, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0xBCE, offset: 0xBCE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50A54, symBinAddr: 0x70A4, symSize: 0x0 }
  - { offsetInCU: 0xBD9, offset: 0xBD9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50A58, symBinAddr: 0x70A8, symSize: 0x0 }
  - { offsetInCU: 0xC1E, offset: 0xC1E, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50BA0, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0xC97, offset: 0xC97, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50C58, symBinAddr: 0x7168, symSize: 0x0 }
  - { offsetInCU: 0xCB5, offset: 0xCB5, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50C5C, symBinAddr: 0x716C, symSize: 0x0 }
  - { offsetInCU: 0xCCE, offset: 0xCCE, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50C60, symBinAddr: 0x7170, symSize: 0x0 }
  - { offsetInCU: 0xCE7, offset: 0xCE7, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50C64, symBinAddr: 0x7174, symSize: 0x0 }
  - { offsetInCU: 0xD00, offset: 0xD00, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50C68, symBinAddr: 0x7178, symSize: 0x0 }
  - { offsetInCU: 0x92EF, offset: 0x92EF, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50C70, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0x9378, offset: 0x9378, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x50C80, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x9391, offset: 0x9391, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50C88, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x93AA, offset: 0x93AA, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50C90, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x93C3, offset: 0x93C3, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50C98, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x93DC, offset: 0x93DC, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50CA0, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x93F6, offset: 0x93F6, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50CA8, symBinAddr: 0x71B8, symSize: 0x0 }
  - { offsetInCU: 0x94DC, offset: 0x94DC, size: 0x8, addend: 0x0, symName: __ZL15rootThreadCount, symObjAddr: 0x50CEC, symBinAddr: 0x71CC, symSize: 0x0 }
  - { offsetInCU: 0x94F5, offset: 0x94F5, size: 0x8, addend: 0x0, symName: __ZL18rootJNIGlobalCount, symObjAddr: 0x50CF0, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x950E, offset: 0x950E, size: 0x8, addend: 0x0, symName: __ZL17rootJNILocalCount, symObjAddr: 0x50CF4, symBinAddr: 0x71D4, symSize: 0x0 }
  - { offsetInCU: 0x9527, offset: 0x9527, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50CF8, symBinAddr: 0x71D8, symSize: 0x0 }
  - { offsetInCU: 0x9540, offset: 0x9540, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x50D00, symBinAddr: 0x71E0, symSize: 0x0 }
  - { offsetInCU: 0x9592, offset: 0x9592, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xAF0, symSize: 0x80 }
  - { offsetInCU: 0x9627, offset: 0x9627, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xA40, symSize: 0xB0 }
  - { offsetInCU: 0x9682, offset: 0x9682, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x940, symSize: 0x100 }
  - { offsetInCU: 0x9915, offset: 0x9915, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0xB70, symSize: 0xC0 }
  - { offsetInCU: 0x9967, offset: 0x9967, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xC30, symSize: 0x220 }
  - { offsetInCU: 0x9B4C, offset: 0x9B4C, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0xE50, symSize: 0xA0 }
  - { offsetInCU: 0x9BFF, offset: 0x9BFF, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0xEF0, symSize: 0x110 }
  - { offsetInCU: 0x9CF5, offset: 0x9CF5, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1000, symSize: 0x150 }
  - { offsetInCU: 0x9E52, offset: 0x9E52, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1150, symSize: 0x30 }
  - { offsetInCU: 0x9EFB, offset: 0x9EFB, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1180, symSize: 0x150 }
  - { offsetInCU: 0xA0F3, offset: 0xA0F3, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x12D0, symSize: 0x160 }
  - { offsetInCU: 0xA3B3, offset: 0xA3B3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x1430, symSize: 0x4A0 }
  - { offsetInCU: 0xA626, offset: 0xA626, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x18D0, symSize: 0x1B0 }
  - { offsetInCU: 0xA841, offset: 0xA841, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1A80, symSize: 0xA0 }
  - { offsetInCU: 0xA910, offset: 0xA910, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x1B20, symSize: 0x20 }
  - { offsetInCU: 0xA947, offset: 0xA947, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x1B40, symSize: 0x20 }
  - { offsetInCU: 0xA97E, offset: 0xA97E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x1B60, symSize: 0x20 }
  - { offsetInCU: 0xAAED, offset: 0xAAED, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x1B80, symSize: 0x1A0 }
  - { offsetInCU: 0xAE09, offset: 0xAE09, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x1D20, symSize: 0x150 }
  - { offsetInCU: 0xAFC6, offset: 0xAFC6, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2110, symSize: 0x1D0 }
  - { offsetInCU: 0xB2C2, offset: 0xB2C2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x22E0, symSize: 0x80 }
  - { offsetInCU: 0xB38B, offset: 0xB38B, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2360, symSize: 0x6C0 }
  - { offsetInCU: 0xBF01, offset: 0xBF01, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA6A0, symBinAddr: 0x3E70, symSize: 0xB0 }
  - { offsetInCU: 0xBF78, offset: 0xBF78, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2A20, symSize: 0x70 }
  - { offsetInCU: 0xC078, offset: 0xC078, size: 0x8, addend: 0x0, symName: _nsk_jvmti_classBySignature, symObjAddr: 0x45A0, symBinAddr: 0x2A90, symSize: 0x3B0 }
  - { offsetInCU: 0xC4F0, offset: 0xC4F0, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2E40, symSize: 0xA0 }
  - { offsetInCU: 0xC5EF, offset: 0xC5EF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2EE0, symSize: 0x40 }
  - { offsetInCU: 0xC6E5, offset: 0xC6E5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2F20, symSize: 0x2B0 }
  - { offsetInCU: 0xCA8B, offset: 0xCA8B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x31D0, symSize: 0xC0 }
  - { offsetInCU: 0xCBD1, offset: 0xCBD1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3290, symSize: 0x10 }
  - { offsetInCU: 0xCC93, offset: 0xCC93, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x32A0, symSize: 0x240 }
  - { offsetInCU: 0xCF7C, offset: 0xCF7C, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x34E0, symSize: 0x10 }
  - { offsetInCU: 0xCFD9, offset: 0xCFD9, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x34F0, symSize: 0x290 }
  - { offsetInCU: 0xD2C6, offset: 0xD2C6, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9FB0, symBinAddr: 0x3780, symSize: 0x10 }
  - { offsetInCU: 0xD341, offset: 0xD341, size: 0x8, addend: 0x0, symName: _heapRootCallback, symObjAddr: 0x9FC0, symBinAddr: 0x3790, symSize: 0x110 }
  - { offsetInCU: 0xD401, offset: 0xD401, size: 0x8, addend: 0x0, symName: _stackReferenceCallback, symObjAddr: 0xA0D0, symBinAddr: 0x38A0, symSize: 0x130 }
  - { offsetInCU: 0xD50B, offset: 0xD50B, size: 0x8, addend: 0x0, symName: _objectReferenceCallback, symObjAddr: 0xA200, symBinAddr: 0x39D0, symSize: 0x10 }
  - { offsetInCU: 0xD572, offset: 0xD572, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_allocation_AP06_ap06t001Thread_setTag, symObjAddr: 0xA210, symBinAddr: 0x39E0, symSize: 0xE0 }
  - { offsetInCU: 0xD71A, offset: 0xD71A, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA2F0, symBinAddr: 0x3AC0, symSize: 0x3B0 }
  - { offsetInCU: 0xDB78, offset: 0xDB78, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA750, symBinAddr: 0x3F20, symSize: 0x36A }
...
